<html>
<head>
<script type="text/javascript" src="jquery.min.js"></script>
<xscript src="vis.min.js"></script>
<script type="text/javascript"  src="common.js"></script>
<xlink href="vis.min.css" rel="stylesheet" type="text/css" />
</head>
<body>
	<div id="visualization"></div>

	<script type="text/javascript">
		var cb = function fillTimeline(data, session_id) 
		{
						console.log("fillTimeline")
			console.log(data)
			var xdata =[];
			for(var i = 0; i < data.length; i++)
			{				
				var z = data[i]
				if (!z['end'] || !z["duration"] || z["duration"] < 300000)
					continue
				else
					q = {start:new Date(z['start']),end:new Date(z['end']),id:z['session'],content:""+z['session'],duration:z['duration']};
				console.log(q)
					if (q.start.getFullYear() >= 2015)
						xdata.push(q)
			}			

			var ndata = new vis.DataSet(xdata);
			$('#loading').html("rendering timeline");
			// Create a Timeline
			var container = document.getElementById('visualization');
			var timeline = new vis.Timeline(container);
			//timeline.setOptions(options);
			//timeline.setGroups(groups);
			timeline.setItems(ndata);
			$('#loading').html("");

		}




		// Configuration for the Timeline
		var options = {
			stack : false,
			groupOrder : 'id',
			editable : true,
			margin : {
				item : 10, // minimal margin between items
				axis : 5
			// minimal margin between items and the axis
			},
			orientation : 'top'
		};	 
			 
		
		
		window.onload = function() {
			pelars_authenticate(function done()
					{
						console.log("get sessions")
						getSession(676,cb)						
					}
				)
		};
		 
		 
	</script>

	<div id="visualization"></div>
	<div id="loading"></div>

</body>
</html>